export default function makeDataService(){
	let url = 'http://localhost/~denis/web_2024/tp5/api_php/todo/'
	let service = {
		getTodos : getTodos,
		addTodo : addTodo,
		removeTodo : removeTodo,
		toggleTodo : toggleTodo,
	};

	async function getTodos()
	{
		let res = await fetch(url,{
			headers: {
				'Accept': 'application/json',
				'Content-Type': 'application/json'
			}
		})
		;
		let json = await res.json();
		return json.results;


	}
	async function addTodo(todo)
	{
		const response = await fetch(url, {
			headers: {
				'Accept': 'application/json',
				'Content-Type': 'application/json'
			},
			method: "POST",
			body: JSON.stringify(todo)
		});
	}
	async function removeTodo(todo)
	{
		// TODO
	}
	async function toggleTodo(todo)
	{
		// TODO
	}

	return service;
}
